<!-- In the PIM File Organisation: "util/dtd/pim-envelope.mod"

	Version 2.6
	24 March 2006

	Author:
		Laurent Desqueper

Meaning or value of the  suffixes:
	?    : element must appear 0 or 1 time
	*    : element must appear 0 or more time
	+    : element must appear 1 or more times
<nothing>: element must appear 1 time

-->

<!ELEMENT pim-envelope (
	des-version,
	status?,
	application*,
	applicant, 
	agency-name+, 
	( submission | migration ),
	procedure,
	invented-name,
	inn*,
	atc-code+,
	ectd-sequence?,
	pim-sequence,
	pim-related-sequence*,
	pim-description,
	external-document*
)>

<!ELEMENT des-version		( #PCDATA )>
<!ELEMENT status				EMPTY >
<!ATTLIST status
	type (  under-review 
		| positive-opinion | negative-opinion | final-opinion 
		| approved | rejected ) #IMPLIED
>

<!ELEMENT application 		( number* )>
<!ELEMENT number 			( #PCDATA )>

<!ELEMENT applicant   		( #PCDATA )>
<!ELEMENT agency-name   	( #PCDATA )>

<!ELEMENT submission   			EMPTY  >
<!ATTLIST submission
	type ( initial-maa | var-type1a | var-type1b | var-type2 | extension
			| urgent-safety-restriction | article-61-3 | renewal
			| annual-reassessment | transfer-ma | corrigendum
			| supplementary-info | exceptional-change) #REQUIRED
>
<!ATTLIST submission step-day CDATA #REQUIRED>

<!ELEMENT migration 					EMPTY>

<!ELEMENT procedure    			EMPTY  >
<!ATTLIST procedure
	type (centralised) #REQUIRED
>

<!ELEMENT invented-name 	( #PCDATA )>
<!ELEMENT inn				( #PCDATA )>
<!ELEMENT atc-code			( #PCDATA )>
<!ELEMENT ectd-sequence		( #PCDATA )>
<!ELEMENT pim-sequence		( #PCDATA )>
<!ELEMENT pim-related-sequence	( #PCDATA )>
<!ELEMENT pim-description	( #PCDATA )>
<!ELEMENT external-document (doc-leaf*)>